### Function

# GLib test_add_data_func_full

since: 2.34

#### Declaration [src]

    void
    g_test_add_data_func_full (
      const char* testpath,
      gpointer test_data,
      GTestDataFunc test_func,
      GDestroyNotify data_free_func
    )

#### Description [src]

Create a new test case, as with g_test_add_data_func(), but freeing `test_data` after the test run is complete.

Available since: 2.34

#### Parameters

`testpath`

  Type: `const char*`

  /-separated test case path name for the test.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`test_data`

  Type: `gpointer`

  Test data argument for the test function.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`test_func`

  Type: `GTestDataFunc`

  The test function to invoke for this test.

`data_free_func`

  Type: `GDestroyNotify`

  `GDestroyNotify` for `test_data`.